Legal
Add a hearing to a court case; a future date becomes the case's next_hearing_at. Honours Idempotency-Key. (scope: legal:write)
POST
bearerAuthheader
AuthorizationBearer <token>API key as Bearer token
id*stringCourt case id
Format
uuidapplication/json- body
hearing_date*stringFormat
datetime?stringLength
length <= 10room?stringLength
length <= 60panel?stringLength
length <= 255solution?stringLength
length <= 8000solution_summary?stringLength
length <= 500notes?stringLength
length <= 4000OK
application/json- response
data*error*nullcurl -X POST "https://example.com/legal/court-cases/497f6eca-6276-4993-bfeb-53cbbbba6f08/hearings" \ -H "Content-Type: application/json" \ -d '{ "hearing_date": "2019-08-24" }'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "case_id": "c74269e5-1f97-4e20-9164-ffbe3494d8d6", "hearing_date": "2019-08-24", "time": "string", "room": "string", "panel": "string", "solution": "string", "solution_summary": "string", "notes": "string", "created_at": "2019-08-24T14:15:22Z" }, "error": null}